<?php

namespace src\Migrations;

class _029_adicionarPaginas
{
    public function up()
    {
        $conexao = new \src\Conexao\Conexao();
        $conn = $conexao->getConexao();

        $query = "INSERT INTO paginas (nome, url)
            VALUES 
                ('Home', '/home'),
                ('Clientes', '/clientes'),
                ('Financeiro', '/financeiro'),
                ('Propostas', '/propostas'),
                ('Configuração Usuários', '/configuracoes/usuarios'),
                ('Configuração Geral', '/configuracoes/geral'),
                ('Configuração Tipos de Trabalhos', '/configuracoes/tipos-trabalhos'),
                ('Log de erros', '/configuracoes/log'),
                ('Relátorio Tipo de Trabalhos', '/relatorios/tipo-trabalho'),
                ('Relátorio Comos Nos Encontrou', '/relatorios/como-nos-encontrou'),
                ('Relátorio Financeiro', '/relatorios/financeiro');
            ";

        $stmt = $conn->prepare($query);
        if (!$stmt) {
            echo "Erro ao preparar a consulta: " . $conn->error;
            return null;
        }

        $stmt->execute();
    }

    public function down() {}
}
